/* $Id: jigdo.cc,v 1.7 2001/11/17 22:49:40 richard Exp $ -*- C++ -*-
  __   _
  |_) /|  Copyright (C) 2001 Richard Atterer
  | \/|  <richard@atterer.net>
   ` 
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License, version 2 or
  later. See the file COPYING for details.

*/

#include <iostream>
namespace std { }
using namespace std;
#include <stdio.h>

#include <config.h>
#include <debug.hh>
#include <libwww.hh>
#include <glibwww.hh>
#include <gtk-gui.hh>
#include <gtk-support.hh>
//______________________________________________________________________

extern "C"
int printer(const char * fmt, va_list pArgs) {
  return vfprintf(stdout, fmt, pArgs);
}
//______________________________________________________________________

int main (int argc, char *argv[]) {
#ifdef ENABLE_NLS
  bindtextdomain(PACKAGE, PACKAGE_LOCALE_DIR);
  textdomain(PACKAGE);
#endif

  gtk_set_locale();
  gtk_init(&argc, &argv);

  add_pixmap_directory(PACKAGE_DATA_DIR DIRSEPS "pixmaps");

  GUI::create();
  gtk_widget_show(GUI::window.window);

  HTAlertInit();
  HTAlert_setInteractive(YES);
  HTPrint_setCallback(printer);
  glibwww_init("jigdo", JIGDO_VERSION);

  gtk_main();
  return 0;
}
